org.apache.tools.ant.listener

## Class TimestampedLogger

- java.lang.Object
- - org.apache.tools.ant.DefaultLogger
  - - org.apache.tools.ant.listener.TimestampedLogger

All Implemented Interfaces:
  java.util.EventListener, BuildListener, BuildLogger

    public class TimestampedLogger
    extends DefaultLogger

Like a normal logger, except with timed outputs

### Field Summary

Fields
`static java.lang.String` `SPACER` what appears between the old message and the new

### Fields inherited from class org.apache.tools.ant.DefaultLogger

`emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

### Constructor Summary

Constructors
Constructor and Description
`TimestampedLogger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getBuildFailedMessage()` This is an override point: the message that indicates whether a build failed.
`protected java.lang.String` `getBuildSuccessfulMessage()` This is an override point: the message that indicates that a build succeeded.

### Methods inherited from class org.apache.tools.ant.DefaultLogger

`buildFinished, buildStarted, extractProjectName, formatTime, getTimestamp, log, messageLogged, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, targetFinished, targetStarted, taskFinished, taskStarted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SPACER

    public static final java.lang.String SPACER

what appears between the old message and the new

See Also:
  Constant Field Values

### Constructor Detail

#### TimestampedLogger

    public TimestampedLogger()

### Method Detail

#### getBuildFailedMessage

    protected java.lang.String getBuildFailedMessage()

This is an override point: the message that indicates whether a build failed. Subclasses can change/enhance the message.

Overrides:
  `getBuildFailedMessage` in class `DefaultLogger`
Returns:
  The classic "BUILD FAILED" plus a timestamp

#### getBuildSuccessfulMessage

    protected java.lang.String getBuildSuccessfulMessage()

This is an override point: the message that indicates that a build succeeded. Subclasses can change/enhance the message.

Overrides:
  `getBuildSuccessfulMessage` in class `DefaultLogger`
Returns:
  The classic "BUILD SUCCESSFUL" plus a timestamp